kio Library: KIconButton Class Reference (kio Library)

| # kio Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KIconButton Class Reference

A pushbutton for choosing an icon. A push button that allows selection of an icon. More...

`#include <kicondialog.h>`

Inheritance diagram for KIconButton:

[legend]
Collaboration diagram for KIconButton:

[legend]
List of all members.

## Signals
void | iconChanged (QString icon)
## Public Member Functions
| KIconButton (QWidget *parent=0L, const char *name=0L)
| KIconButton (KIconLoader *loader, QWidget *parent, const char *name=0L)
| ~KIconButton ()
void | setStrictIconSize (bool b)
bool | strictIconSize () const
void | setIconType (KIcon::Group group, KIcon::Context context, bool user=false)
void | setIcon (const QString &icon)
void | resetIcon ()
QString | icon () const
void | setIconSize (int size)
int | iconSize () const
## Properties
QString | icon
int | iconSize
bool | strictIconSize

## Detailed Description

A pushbutton for choosing an icon. A push button that allows selection of an icon.

Pressing on the button will open a KIconDialog for the user to select an icon. The current icon will be displayed on the button.

See also:
  KIconDialog

Definition at line 254 of file kicondialog.h.

## Constructor & Destructor Documentation

KIconButton::KIconButton | ( | QWidget * | parent = `0L`,
|  | const char * | name = `0L`
| ) |

| Constructs a KIconButton using the global iconloader. Definition at line 612 of file kicondialog.cpp.

KIconButton::KIconButton | ( | KIconLoader * | loader,
|  | QWidget * | parent,
|  | const char * | name = `0L`
| ) |

| Constructs a KIconButton using a specific KIconLoader. Definition at line 618 of file kicondialog.cpp.

KIconButton::~KIconButton | ( |  | ) |

| Destructs the button. Definition at line 637 of file kicondialog.cpp.

## Member Function Documentation

void KIconButton::setStrictIconSize | ( | bool | b | ) |

| Sets a strict icon size policy for allowed icons. When true, only icons of the specified group's size in setIconType are allowed, and only icons of that size will be shown in the icon dialog. Definition at line 643 of file kicondialog.cpp. Referenced by KFilePropsPlugin::KFilePropsPlugin().

bool KIconButton::strictIconSize | ( |  | ) | const

| Returns true if a strict icon size policy is set.

void KIconButton::setIconType | ( | KIcon::Group | group,
|  | KIcon::Context | context,
|  | bool | user = `false`
| ) |

| Sets the icon group and context. Use KIcon::NoGroup if you want to allow icons for any group in the given context. Definition at line 663 of file kicondialog.cpp. Referenced by KFilePropsPlugin::KFilePropsPlugin().

void KIconButton::setIcon | ( | const QString & | icon | ) |

| Sets the button's initial icon. Definition at line 670 of file kicondialog.cpp. References KIconLoader::iconPath(), KIconLoader::loadIconSet(), KIconDialog::setCustomLocation(), and QPushButton::setIconSet(). Referenced by KFilePropsPlugin::KFilePropsPlugin(), and KURLBarItemDialog::KURLBarItemDialog().

void KIconButton::resetIcon | ( |  | ) |

| Resets the icon (reverts to an empty button). Definition at line 685 of file kicondialog.cpp. References QPushButton::setIconSet().

QString KIconButton::icon | ( |  | ) | const`[inline]`

| Returns the name of the selected icon. Definition at line 306 of file kicondialog.h.

void KIconButton::setIconSize | ( | int | size | ) |

| Sets the size of the icon to be shown / selected. See also: KIcon::StdSizes iconSize Definition at line 653 of file kicondialog.cpp. References KIconDialog::iconSize(). Referenced by KFilePropsPlugin::KFilePropsPlugin(), and KURLBarItemDialog::KURLBarItemDialog().

int KIconButton::iconSize | ( |  | ) | const

| Returns the iconsize set via setIconSize() or 0, if the default iconsize will be used.

void KIconButton::iconChanged | ( | QString | icon | ) | `[signal]`

| Emitted when the icon has changed.

The documentation for this class was generated from the following files:

- kicondialog.h
- kicondialog.cpp

This file is part of the documentation for kio Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:24:53 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003